<?php

IF (POST('ok')){
  
  DB_FILTER();
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $private_comments = INTVAL(POST('private_comments'));
  
  $mt = INTVAL(POST('main_time'));
  
  IF ($mt == 0){
    
    $main_time = NULL;
    
  }ELSE{
    
    $main_time = TIME() + $mt;
    
  }
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=news&get=add');
    
  }
  
  $ID = DB::GET_ADD("INSERT INTO `NEWS` (`NAME`, `PRIVATE_COMMENTS`, `USER_ID`, `MESSAGE`, `TIME`, `MAIN_TIME`) VALUES ('".$name."', '".$private_comments."', '".$user['ID']."', '".$message."', '".TIME()."', '".$main_time."')");
  
  DB::GET_SET("UPDATE `ATTACHMENTS` SET `ID_POST` = '".$ID."', `ACT` = '1' WHERE `USER_ID` = '".$user['ID']."' AND `ACT` = '0' AND `NEWS` = '1'");
  
  SUCCESS('Новость успешно создана', 'session');
  REDIRECT('/modules/?path=news');
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=news&get=add'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(NULL, 'message', 'Введите содержание', NULL, 'form-control-100');

ECHO "<br /><b>".LG('Добавить').":</b>";

//Прикрепление файлов
REQUIRE (ROOT.'/modules/news/plugins/files.php');

ECHO "<br />";

ECHO "<b>".LG('Комментирование')."</b>:<br />";
ECHO "<select name='private_comments' class='form-control-select'>";

ECHO "<option value='0'> ".LG('Всем')."</option>";
ECHO "<option value='1'> ".LG('Только членам администрации')."</option>";
ECHO "<option value='2'> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Сколько дней показывать на главной')."</b>:<br />";
ECHO "<select name='main_time' class='form-control-select'>";

ECHO "<option value='0'> ".LG('Не показывать')."</option>";
ECHO "<option value='86400'>1 ".LG('день')."</option>";
ECHO "<option value='172800'>2 ".LG('дня')."</option>";
ECHO "<option value='259200'>3 ".LG('дня')."</option>";
ECHO "<option value='345600'>4 ".LG('дня')."</option>";
ECHO "<option value='432000'>5 ".LG('дней')."</option>";
ECHO "<option value='518400'>6 ".LG('дней')."</option>";
ECHO "<option value='604800'>7 ".LG('дней')."</option>";
ECHO "<option value='691200'>8 ".LG('дней')."</option>";
ECHO "<option value='777600'>9 ".LG('дней')."</option>";
ECHO "<option value='864000'>10 ".LG('дней')."</option>";
ECHO "<option value='950400'>11 ".LG('дней')."</option>";
ECHO "<option value='1036800'>12 ".LG('дней')."</option>";
ECHO "<option value='1123200'>13 ".LG('дней')."</option>";
ECHO "<option value='1209600'>14 ".LG('дней')."</option>";
ECHO "<option value='1296000'>15 ".LG('дней')."</option>";
ECHO "<option value='1382400'>16 ".LG('дней')."</option>";
ECHO "<option value='1468800'>17 ".LG('дней')."</option>";
ECHO "<option value='1555200'>18 ".LG('дней')."</option>";
ECHO "<option value='1641600'>19 ".LG('дней')."</option>";
ECHO "<option value='1728000'>20 ".LG('дней')."</option>";
ECHO "<option value='1814400'>21 ".LG('день')."</option>";
ECHO "<option value='1900800'>22 ".LG('дня')."</option>";
ECHO "<option value='1987200'>23 ".LG('дня')."</option>";
ECHO "<option value='2073600'>24 ".LG('дня')."</option>";
ECHO "<option value='2160000'>25 ".LG('дней')."</option>";
ECHO "<option value='2246400'>26 ".LG('дней')."</option>";
ECHO "<option value='2332800'>27 ".LG('дней')."</option>";
ECHO "<option value='2419200'>28 ".LG('дней')."</option>";
ECHO "<option value='2505600'>29 ".LG('дней')."</option>";
ECHO "<option value='2592000'>30 ".LG('дней')."</option>";
ECHO "<option value='5184000'>2 ".LG('месяца')."</option>";
ECHO "<option value='7776000'>3 ".LG('месяца')."</option>";
ECHO "<option value='10368000'>4 ".LG('месяца')."</option>";
ECHO "<option value='12960000'>5 ".LG('месяцев')."</option>";
ECHO "<option value='15552000'>6 ".LG('месяцев')."</option>";
ECHO "<option value='31536000'>1 ".LG('год')."</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать новость');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=news'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO LG('Новости');
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>